<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Discord Authentication</title>
    <style>
      body {
        width: 100vw;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: sans-serif;
        margin: 0;
        box-sizing: content-box;
      }

      a {
        display: block;
        text-decoration: none;
        cursor: pointer;
        line-height: 2rem;
        width: 30vw;
        background: #7289da;
        padding: 1rem;
        border-radius: 5px;
        color: white;
        font-weight: bold;
        text-align: center;
      }
    </style>
  </head>
  <body>
    <a
      id="login"
      href="https://discordapp.com/api/oauth2/authorize?client_id=569850964383891471&redirect_uri={{.RedirectURI}}%2fredirect&response_type=token&scope=identify"
      >Identify Yourself</a
    >
  </body>
</html>
